For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • GETGet logs for one Shipment by Order Id and Shipment Id
      • GETGet one Shipment by Shipment Id
      • GETGet all Shipments for Order
      • GETGet one Shipment's status timeline by Order Id and Shipment Id
      • GETGet Orders
      • POSTCreate Order
      • GETGet one Shipment by Order Id and Shipment Id
      • GETGet Order
      • GETGet one Shipment's status timeline by Shipment Id
      • GETGet logs for one Shipment by Shipment Id
      • POSTCancel one Shipment by Order Id and Shipment Id
      • POSTCancel one Shipment by Shipment Id
      • POSTCancel single Order by Order ID
      • GETGet Order Store Json
      • POSTSave the Store Order Json
      • POSTUpdate Tracking Uploaded Status for Multiple Shipments by Shipment Id
      • POSTCancel multiple Shipments by Shipment Id
      • POSTEstimate Fulfillment Cost For Order
      • GETGet shipping methods
      • GETGet Completely Cancelled Orders
LogoLogo
API ReferenceOrders

Get logs for one Shipment by Order Id and Shipment Id

||View as Markdown|
GET
https://sandbox-api.shipbob.com/2025-07/order/:orderId/shipment/:shipmentId/logs
GET
/2025-07/order/:orderId/shipment/:shipmentId/logs
$curl https://sandbox-api.shipbob.com/2025-07/order/1/shipment/1/logs \
> -H "Authorization: Bearer <token>"
1[
2 {
3 "log_type_id": 0,
4 "log_type_name": "string",
5 "log_type_text": "string",
6 "metadata": {
7 "property1": "string",
8 "property2": "string"
9 },
10 "timestamp": "2019-08-24T14:15:22+00:00"
11 }
12]
Was this page helpful?
Previous

Get All Inventory Levels

Next

Get one Shipment by Shipment Id

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Path parameters

orderIdintegerRequired
The order id to get the shipment for
shipmentIdintegerRequired
The shipment id to get

Headers

shipbob_channel_idintegerOptional
Channel Id for Operation

Response

Success
log_type_idinteger
Log type id of the shipment
log_type_namestring
Name of the log type
log_type_textstring
Summary of log type meaning
metadatamap from strings to strings
Specifics data for the event
timestampdatetime
Timestamp of event

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error